

/**
 * Write a description of class SeguroVeiculos here.
 * 
 * @author FMM 
 * @version (a version number or a date)
 */
import java.util.TreeMap;
public abstract class SeguroVeiculos extends Seguro {
    
    // Variáveis de Classe
    private static TreeMap<String,  Clausula> tabClaus = new TreeMap<String, Clausula>();
    public static void addClausula(Clausula cl) { tabClaus.put(cl.getCodClausula(), cl.clone()); }
    public static Clausula getClausula(String cod) { return tabClaus.get(cod); }
    public static void removeClausula(String cod) { tabClaus.remove(cod); }

    // Variáveis de Instância
    private TreeMap<String,  Clausula> tabClausPagas = new TreeMap<String,  Clausula>();
    
    public TreeMap<String,  Clausula> getTabClausulas() {
        TreeMap<String,  Clausula> tabAux = new TreeMap<String,  Clausula>();
        for(Clausula claus : tabClausPagas.values()) 
            tabAux.put(claus.getCodClausula(), claus.clone());
        return tabAux;
    }
    
     // Construtores para SeguroVida
   
    public SeguroVeiculos() { }
    

    
}
